Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.BaseResults<NodeType extends Node>

Type Parameters:
  `NodeType` - the type of node that tis results deals with

All Superinterfaces:
  Iterable<NodeType>

All Known Subinterfaces:
  Results, Subgraph

Enclosing class:
  Graph

    @Immutable
    public static interface Graph.BaseResults<NodeType extends Node>

extends Iterable<NodeType>

A set of nodes returned from a `graph`, with methods to access the properties and children of the nodes in the result. The `Iterable.iterator()` method can be used to iterate all over the nodes in the result.

Method Summary
`Graph` | `getGraph()` Get the graph containing the node.
`NodeType` | `getNode(Location location)` Get the node at the supplied location.
`NodeType` | `getNode(Path path)` Get the node at the supplied location.
`NodeType` | `getNode(String path)` Get the node at the supplied location.
`boolean` | `includes(Location location)` Return whether this subgraph has a node at the supplied location.
`boolean` | `includes(Path path)` Return whether this subgraph has a node at the supplied location.
`boolean` | `includes(String path)` Return whether these results include a node at the supplied location.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getGraph

    Graph getGraph()

  Get the graph containing the node.

  Returns:
    the graph

### getNode

    NodeType getNode(String path)

  Get the node at the supplied location.

  Parameters:
    `path` - the path of the node in these results
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    NodeType getNode(Path path)

  Get the node at the supplied location.

  Parameters:
    `path` - the path of the node in these results
  Returns:
    the node, or null if the node is not `included` in these results

### getNode

    NodeType getNode(Location location)

  Get the node at the supplied location.

  Parameters:
    `location` - the location of the node
  Returns:
    the node, or null if the node is not `included` in these results

### includes

    boolean includes(String path)

  Return whether these results include a node at the supplied location.

  Parameters:
    `path` - the path of the node in these results
  Returns:
    true if this subgraph includes the supplied location, or false otherwise

### includes

    boolean includes(Path path)

  Return whether this subgraph has a node at the supplied location.

  Parameters:
    `path` - the path of the node in these results
  Returns:
    true if these results includes the supplied location, or false otherwise

### includes

    boolean includes(Location location)

  Return whether this subgraph has a node at the supplied location.

  Parameters:
    `location` - the location of the node in these results
  Returns:
    true if these results includes the supplied location, or false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.